Package com.io7m.idstore.server.user_view

# Class IdUViewEmailAddRun

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdCommonInstrumentedServlet
com.io7m.idstore.server.user_view.IdUViewAuthenticatedServlet
com.io7m.idstore.server.user_view.IdUViewEmailAddRun

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public final class IdUViewEmailAddRun extends IdUViewAuthenticatedServlet
The page that executes the email addition.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUViewEmailAddRun(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`
  The page that executes the email addition.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, IdSessionUser session)`

  ### Methods inherited from class com.io7m.idstore.server.user_view.IdUViewAuthenticatedServlet

  `database, service, services, strings, user, userId, userSession`

  ### Methods inherited from class com.io7m.idstore.server.http.IdCommonInstrumentedServlet

  `service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUViewEmailAddRun

    public IdUViewEmailAddRun(com.io7m.repetoir.core.RPServiceDirectoryType inServices)
    The page that executes the email addition.
    Parameters:
      `inServices` - The service directory

- ## Method Details

  - ### serviceAuthenticated

    protected void serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, IdSessionUser session) throws IOException, jakarta.servlet.ServletException
    Specified by:
      `serviceAuthenticated` in class `IdUViewAuthenticatedServlet`
    Throws:
      `IOException`
      `jakarta.servlet.ServletException`